Package com.salesforce.datacloud.jdbc.core.model

## Class DataspaceResponse.DataSpaceAttributes

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.model.DataspaceResponse.DataSpaceAttributes

Enclosing class:
  DataspaceResponse

    public static class DataspaceResponse.DataSpaceAttributes
    extends Object

### Constructor Summary

Constructors
`DataSpaceAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canEqual​(Object other)`
`boolean` `equals​(Object o)`
`Map<String,​Object>` `getAttributes()`
`String` `getName()`
`int` `hashCode()`
`void` `setAttributes​(Map<String,​Object> attributes)`
`void` `setName​(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataSpaceAttributes

    public DataSpaceAttributes()

### Method Detail

#### getAttributes

    public Map<String,​Object> getAttributes()

#### getName

    public String getName()

#### setAttributes

    public void setAttributes​(Map<String,​Object> attributes)

#### setName

    public void setName​(String name)

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### canEqual

    protected boolean canEqual​(Object other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`